<?php
require_once 'modelos/Modelo.php';
require_once 'modelos/DAO.php';

class MUsuarios extends Modelo{
    public $DAO;

    public function __construct(){
        $this->DAO=new DAO();
    }

    public function buscarUsuarios($filtros=array()){
        $ftexto='';
        $factivo='';
        extract($filtros);

        $SQL="SELECT * FROM usuarios WHERE 1=1 ";
        if($factivo!=''){
            $SQL.=" AND activo='$factivo' ";
        }

        $usuarios=$this->DAO->consultar($SQL);

        return $usuarios;
    }

}//FIN class MUsuarios


?>